Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in libX11
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in libX11
ID: openSUSE-SU-2018:2567-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Fr, 31. August 2018, 14:03
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14598
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14599
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-14600
Applikationen: libX11

Originalnachricht

   openSUSE Security Update: Security update for libX11
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2567-1
Rating: important
References: #1102062 #1102068 #1102073
Cross-References: CVE-2018-14598 CVE-2018-14599 CVE-2018-14600

Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for libX11 fixes the following issues:

Security issues fixed:

- CVE-2018-14598: Fixed a crash on invalid reply in XListExtensions
(boo#1102073)
- CVE-2018-14599: Fixed an off-by-one write in XListExtensions
(boo#1102062)
- CVE-2018-14600: Fixed an out of boundary write in XListExtensions
(boo#1102068)


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-945=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libX11-6-1.6.3-10.3.1
libX11-6-debuginfo-1.6.3-10.3.1
libX11-debugsource-1.6.3-10.3.1
libX11-devel-1.6.3-10.3.1
libX11-xcb1-1.6.3-10.3.1
libX11-xcb1-debuginfo-1.6.3-10.3.1

- openSUSE Leap 42.3 (noarch):

libX11-data-1.6.3-10.3.1

- openSUSE Leap 42.3 (x86_64):

libX11-6-32bit-1.6.3-10.3.1
libX11-6-debuginfo-32bit-1.6.3-10.3.1
libX11-devel-32bit-1.6.3-10.3.1
libX11-xcb1-32bit-1.6.3-10.3.1
libX11-xcb1-debuginfo-32bit-1.6.3-10.3.1


References:

https://www.suse.com/security/cve/CVE-2018-14598.html
https://www.suse.com/security/cve/CVE-2018-14599.html
https://www.suse.com/security/cve/CVE-2018-14600.html
https://bugzilla.suse.com/1102062
https://bugzilla.suse.com/1102068
https://bugzilla.suse.com/1102073

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung